ALLOC_CHRDEV_REGION(9)

NAME
alloc_chrdev_region - register a range of char device numbers

SYNOPSIS

int alloc_chrdev_region(dev_t * dev, unsigned baseminor, unsigned count, const char * name);

ARGUMENTS

dev
    output parameter for first assigned number

baseminor
    first of the requested range of minor numbers

count
    the number of minor numbers required

name
    the name of the associated device or driver

DESCRIPTION

Allocates a range of char device numbers. The major number will be chosen dynamically, and returned (along with the first minor number) in dev. Returns zero or a negative error code.

COPYRIGHT